Bug 1814969 - oc adm prune operation on whitelist fails.
Summary: oc adm prune operation on whitelist fails.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Sally
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 07:56 UTC by kedar
Modified: 2020-05-20 16:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 16:25:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description kedar 2020-03-19 07:56:06 UTC
Description of problem:

Pruning operation after ldap sync fails

After following the documentation[1] where the groups must be specified with the full DN. Syncing groups work, exect when we do a prune operation, we get the following error:

Error from server (NotFound): groups.user.openshift.io "CN=openshiftgroup,OU=groups,OU=UID,DC=example,DC=com" not found
 
[1] https://docs.openshift.com/container-platform/4.3/authentication/ldap-syncing.html

Version-Release number of selected component (if applicable):
 
- Red Hat Openshift Container Platform 4.3

Additional info:

While performing the oc adm prune operation on groups not working with whitelist

Below documentation is used for performing the operation.

- https://docs.openshift.com/container-platform/4.3/authentication/ldap-syncing.html

Comment 2 Maciej Szulik 2020-04-10 10:36:13 UTC
Can I ask you for the following items:
1. the full command as it's being executed, preferably with contents of the whitelist file
2. the output of the above command with -v=9

Comment 5 Maciej Szulik 2020-05-11 10:03:01 UTC
Sally, since you were touching that command recently, mind checking this one as well?


Note You need to log in before you can comment on or make changes to this bug.